Subject: Re: [calsify] Alissa Cooper's Discuss on draft-ietf-calext-eventpub-extensions-13: (with DISCUSS and COMMENT)

From: Michael Douglass <[email-masked]>
Date: Tue, 8 Oct 2019 09:23:45 -0400

On 5/29/19 16:58, Alissa Cooper via Datatracker wrote:
> Alissa Cooper has entered the following ballot position for
> draft-ietf-calext-eventpub-extensions-13: Discuss
>
> Please refer to https://www.ietf.org/iesg/statement/discuss-criteria.html
> for more information about IESG DISCUSS and COMMENT positions.
>
>
> The document, along with other ballot positions, can be found here:
> https://datatracker.ietf.org/doc/draft-ietf-calext-eventpub-extensions/
>
>
>
> ----------------------------------------------------------------------
> DISCUSS:
> ----------------------------------------------------------------------
>
> Section 7.6:
>
> " The format type and schema parameters can be specified on this
>        property and are RECOMMENDED for text or inline binary encoded
>        content information."
>
> Doesn't this need to be REQUIRED rather than RECOMMENDED in order for it to
> improve rather than potentially worsen interoperability?
Agreed
>
> Section 8.1:
>
> "User agents MUST NOT include this information
>        without informing the participant."
>
> This seems like it needs to say "without the participant's express permission."
> (As in https://www.w3.org/TR/geolocation-API).
Agreed
>
>
> ----------------------------------------------------------------------
> COMMENT:
> ----------------------------------------------------------------------
>
> Please respond to the Gen-ART review.
>
> The abstract should mention the update to RFC 7986 and the introduction should
> explain what is updated.
With removal of updates to SOURCE this draft no longer updates 7986 so 
I've removed that.
>
> Section 11:
>
> "This specification does not
>     introduce any additional privacy concerns beyond those described in
>     [RFC5545]."
>
> This seems untrue given the sentence that follows it, so this should be deleted.
Agreed

I'll submit a further draft soon

>
>
> _______________________________________________
> calsify mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/calsify